This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 623902 - Duplicate file appearing client side on an NFS share
Duplicate file appearing client side on an NFS share
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.8
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Steve Dickson
yanfu,wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 01:35 EDT by ajtwatching
Modified: 2011-12-08 10:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-08 10:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ajtwatching 2010-08-13 01:35:10 EDT
Description of problem:

I have 2 NFS clients mounting the same export from a RHEL4.8 box. When looking on the client, 2 files with the same name, same inode are present in the same directory. One client is a RHEL4 host the other is a RHEL5 host.

However when viewing on the server, only one file is present in the directory.

How reproducible:

This NFS server sees tens of thousands of files passing through it daily. This is now the second time this issue has presented itself.

In order to fix it, the file has to be deleted and skipped. The file can be removed from either the client or the server.

NFS Server (RHEL 4.8)
==========

[root@net07 ~]# cat /etc/exports
/log/data/share x.x.x.125(rw,sync,anonuid=1111,all_squash)

[root@net07 ~]# ls -l / | grep log
lrwxrwxrwx    1 root root    11 Jul 10  2009 log -> /var/logmgr

[root@net07 ~]# mount | grep var
/dev/mapper/vg00-lv02 on /var type ext3 (rw)

[root@net07 ~]# cd /var/logmgr/data/share/processing/
[root@net07 processing]#

[root@net07 processing]# ls -lia proxyclient_main_cl6b1e5c54a5f8ac_20100811091204.lo?
1654785 -rw-r--r--  1 logmgr nfsnobody 160421 Aug 12 10:30 proxyclient_main_cl6b1e5c54a5f8ac_20100811091204.log
[root@net07 processing]#

NFS Client (RHEL 5.5)
==========

[root@net05 processing]# ls -lia proxyclient_main_cl6b1e5c54a5f8ac_20100811091204.lo?
1654785 -rw-r--r-- 1 1111 nfsnobody 160421 Aug 12 10:30 proxyclient_main_cl6b1e5c54a5f8ac_20100811091204.log
1654785 -rw-r--r-- 1 1111 nfsnobody 160421 Aug 12 10:30 proxyclient_main_cl6b1e5c54a5f8ac_20100811091204.log
[root@net05 processing]#


Regards,

Andrew.

Note You need to log in before you can comment on or make changes to this bug.